/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package common;

/**
 *
 * @author EUGENIO CARVALHO
 */
public class Label {

    protected Long Position,
            GlobalPosition;
    protected String label;

    public Long GetPosition() {
        return Position;
    }

    public Label SetPosition(Long Position) {
        this.Position = Position;
        return this;
    }

    public Long GetGlobalPosition() {
        return GlobalPosition;
    }

    public Label SetGlobalPosition(Long GlobalPosition) {
        this.GlobalPosition = GlobalPosition;
        return this;
    }

    public String GetLabel() {
        return label.replaceAll("\\+_i\\d+", "+" + Position);
    }

    public Label SetLabel(String label) {
        this.label = label;
        return this;
    }

}
